clang 8.0.0

Namespaces | Enumerations | Functions
Cuda.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| llvm
| DominatorTree GraphTraits specialization so the DominatorTree can be iterable by generic graph iterators.
| clang
| Dataflow Directional Tag Classes.

## Enumerations
enum | clang::CudaVersion { clang::CudaVersion::UNKNOWN, clang::CudaVersion::CUDA_70, clang::CudaVersion::CUDA_75, clang::CudaVersion::CUDA_80, clang::CudaVersion::CUDA_90, clang::CudaVersion::CUDA_91, clang::CudaVersion::CUDA_92, clang::CudaVersion::CUDA_100, clang::CudaVersion::LATEST = CUDA_100 }
enum | clang::CudaArch { clang::CudaArch::UNKNOWN, clang::CudaArch::SM_20, clang::CudaArch::SM_21, clang::CudaArch::SM_30, clang::CudaArch::SM_32, clang::CudaArch::SM_35, clang::CudaArch::SM_37, clang::CudaArch::SM_50, clang::CudaArch::SM_52, clang::CudaArch::SM_53, clang::CudaArch::SM_60, clang::CudaArch::SM_61, clang::CudaArch::SM_62, clang::CudaArch::SM_70, clang::CudaArch::SM_72, clang::CudaArch::SM_75, clang::CudaArch::GFX600, clang::CudaArch::GFX601, clang::CudaArch::GFX700, clang::CudaArch::GFX701, clang::CudaArch::GFX702, clang::CudaArch::GFX703, clang::CudaArch::GFX704, clang::CudaArch::GFX801, clang::CudaArch::GFX802, clang::CudaArch::GFX803, clang::CudaArch::GFX810, clang::CudaArch::GFX900, clang::CudaArch::GFX902, clang::CudaArch::GFX904, clang::CudaArch::GFX906, clang::CudaArch::GFX909, clang::CudaArch::LAST }
enum | clang::CudaVirtualArch { clang::CudaVirtualArch::UNKNOWN, clang::CudaVirtualArch::COMPUTE_20, clang::CudaVirtualArch::COMPUTE_30, clang::CudaVirtualArch::COMPUTE_32, clang::CudaVirtualArch::COMPUTE_35, clang::CudaVirtualArch::COMPUTE_37, clang::CudaVirtualArch::COMPUTE_50, clang::CudaVirtualArch::COMPUTE_52, clang::CudaVirtualArch::COMPUTE_53, clang::CudaVirtualArch::COMPUTE_60, clang::CudaVirtualArch::COMPUTE_61, clang::CudaVirtualArch::COMPUTE_62, clang::CudaVirtualArch::COMPUTE_70, clang::CudaVirtualArch::COMPUTE_72, clang::CudaVirtualArch::COMPUTE_75, clang::CudaVirtualArch::COMPUTE_AMDGCN }

## Functions
const char * | clang::CudaVersionToString (CudaVersion V)
const char * | clang::CudaArchToString (CudaArch A)
CudaArch | clang::StringToCudaArch (llvm::StringRef S)
const char * | clang::CudaVirtualArchToString (CudaVirtualArch A)
CudaVirtualArch | clang::StringToCudaVirtualArch (llvm::StringRef S)
CudaVirtualArch | clang::VirtualArchForCudaArch (CudaArch A)
| Get the compute_xx corresponding to an sm_yy. More...
CudaVersion | clang::MinVersionForCudaArch (CudaArch A)
| Get the earliest CudaVersion that supports the given CudaArch. More...
CudaVersion | clang::MaxVersionForCudaArch (CudaArch A)
| Get the latest CudaVersion that supports the given CudaArch. More...